Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util
Class StringUtil

    java.lang.Object
      net.sourceforge.pmd.util.StringUtil

public class StringUtil
extends java.lang.Object

Constructor Summary
`StringUtil()`

Method Summary
`static void` | `appendXmlEscaped(java.lang.StringBuffer buf, java.lang.String src)` Appends to a StringBuffer the String src where non-ASCII and XML special chars are escaped.
`static java.lang.String` | `replaceString(java.lang.String d, char oldChar, java.lang.String newString)`
`static java.lang.String` | `replaceString(java.lang.String inputString, java.lang.String oldString, java.lang.String newString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### replaceString

    public static java.lang.String replaceString(java.lang.String d,
                                                 char oldChar,
                                                 java.lang.String newString)

### replaceString

    public static java.lang.String replaceString(java.lang.String inputString,
                                                 java.lang.String oldString,
                                                 java.lang.String newString)

### appendXmlEscaped

    public static void appendXmlEscaped(java.lang.StringBuffer buf,
                                        java.lang.String src)

  Appends to a StringBuffer the String src where non-ASCII and XML special chars are escaped.

  Parameters:
    `buf` - The destination XML stream
    `src` - The String to append to the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.